Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKAlgorithmParameters.PSS

    java.lang.Object
      java.security.AlgorithmParametersSpi
          org.bouncycastle.jce.provider.JDKAlgorithmParameters
              org.bouncycastle.jce.provider.JDKAlgorithmParameters.PSS

Enclosing class:
  JDKAlgorithmParameters

    public static class JDKAlgorithmParameters.PSS

extends JDKAlgorithmParameters

Nested Class Summary

Nested classes/interfaces inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`JDKAlgorithmParameters.DH, JDKAlgorithmParameters.DSA, JDKAlgorithmParameters.ElGamal, JDKAlgorithmParameters.GOST3410, JDKAlgorithmParameters.IES, JDKAlgorithmParameters.IVAlgorithmParameters, JDKAlgorithmParameters.OAEP, JDKAlgorithmParameters.PBKDF2, JDKAlgorithmParameters.PKCS12PBE, JDKAlgorithmParameters.PSS, JDKAlgorithmParameters.RC2AlgorithmParameters`

Constructor Summary
`JDKAlgorithmParameters.PSS()`

Method Summary
`protected byte[]` | `engineGetEncoded()` Return the PKCS#1 ASN.1 structure RSASSA-PSS-params.
`protected byte[]` | `engineGetEncoded(java.lang.String format)`
`protected void` | `engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)`
`protected void` | `engineInit(byte[] params)`
`protected void` | `engineInit(byte[] params, java.lang.String format)`
`protected java.lang.String` | `engineToString()`
`protected java.security.spec.AlgorithmParameterSpec` | `localEngineGetParameterSpec(java.lang.Class paramSpec)`

Methods inherited from class org.bouncycastle.jce.provider.JDKAlgorithmParameters
`engineGetParameterSpec, isASN1FormatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKAlgorithmParameters.PSS

    public JDKAlgorithmParameters.PSS()

Method Detail

### engineGetEncoded

    protected byte[] engineGetEncoded()
                               throws java.io.IOException

  Return the PKCS#1 ASN.1 structure RSASSA-PSS-params.

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineGetEncoded

    protected byte[] engineGetEncoded(java.lang.String format)
                               throws java.io.IOException

  Specified by:
    `engineGetEncoded` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### localEngineGetParameterSpec

    protected java.security.spec.AlgorithmParameterSpec localEngineGetParameterSpec(java.lang.Class paramSpec)
                                                                             throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `localEngineGetParameterSpec` in class `JDKAlgorithmParameters`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(java.security.spec.AlgorithmParameterSpec paramSpec)
                       throws java.security.spec.InvalidParameterSpecException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.security.spec.InvalidParameterSpecException`

### engineInit

    protected void engineInit(byte[] params)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineInit

    protected void engineInit(byte[] params,
                              java.lang.String format)
                       throws java.io.IOException

  Specified by:
    `engineInit` in class `java.security.AlgorithmParametersSpi`
  Throws:
    `java.io.IOException`

### engineToString

    protected java.lang.String engineToString()

  Specified by:
    `engineToString` in class `java.security.AlgorithmParametersSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD